#include "logger.h"
#include "platform.h"

#include <fstream>
#include <chrono>
#include <format>

static std::ofstream logStream;

void Logger::init() {
    initProgramLogsDir();

    const auto now = std::chrono::system_clock::now();

    std::string fileName = std::format("log_{0:%Y%m%d}_{0:%H%M%S}.txt", now);

    logStream = std::ofstream(getProgramLogsDir() + "/" + fileName);
    Logger::debug("Logger initialized");
}

void Logger::finish() {
    Logger::debug("Closing logger...");
    logStream.close();
}

